AdhocHandler Class Referenceabstract

`#include <adhochandler.h>`

## Public Member Functions

virtual | ~AdhocHandler ()
virtual void | handleAdhocSupport (const JID &remote, bool support, int context)=0
virtual void | handleAdhocCommands (const JID &remote, const StringMap &commands, int context)=0
virtual void | handleAdhocError (const JID &remote, const Error *error, int context)=0
virtual void | handleAdhocExecutionResult (const JID &remote, const Adhoc::Command &command, int context)=0

## Detailed Description

A virtual interface for an Ad-hoc Command users according to XEP-0050.

Derived classes can be registered with the Adhoc object to receive notifications about Adhoc Commands remote entities support.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 32 of file adhochandler.h.

## Constructor & Destructor Documentation

## ~AdhocHandler()

virtual ~AdhocHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 38 of file adhochandler.h.

## Member Function Documentation

## handleAdhocCommands()

virtual void handleAdhocCommands | ( | const JID & | remote,
|  | const StringMap & | commands,
|  | int | context )

pure virtual

This function is called in response to a call to Adhoc::getCommands() and delivers a list of supported commands.

Parameters

  remote | The queried remote entity's JID.
  commands | A map of supported commands and their human-readable name.
  context | A user defined context. The map may be empty.

## handleAdhocError()

virtual void handleAdhocError | ( | const JID & | remote,
|  | const Error * | error,
|  | int | context )

pure virtual

This function is called in response to a call to Adhoc::getCommands() or Adhoc::checkSupport() or Adhoc::execute() in case the respective request returned an error.

Parameters

  remote | The queried remote entity's JID.
  error | The error condition. May be 0.
  context | A user defined context.

## handleAdhocExecutionResult()

virtual void handleAdhocExecutionResult | ( | const JID & | remote,
|  | const Adhoc::Command & | command,
|  | int | context )

pure virtual

This function is called in response to a remote command execution.

Parameters

  remote | The remote entity's JID.
  command | The command being executed.
  context | A user defined context.

## handleAdhocSupport()

virtual void handleAdhocSupport | ( | const JID & | remote,
|  | bool | support,
|  | int | context )

pure virtual

This function is called in response to a call to Adhoc::checkSupport().

Parameters

  remote | The queried remote entity's JID.
  support | Whether the remote entity supports Adhoc Commands.
  context | A user defined context.

The documentation for this class was generated from the following file:

- adhochandler.h